#!/bin/bash

if [ -z $1 ]; then
	echo "Devi specificare un comando («updpo» per aggiornare il pot e i po, «updmo» per poi aggiornare gli mo)."
	exit 1
fi
if [ $1 != "updpo" ] && [ $1 != "updmo" ]; then
	echo "«$1» non è un comando noto; usa «updpo» per aggiornare il pot e i po, «updmo» per poi aggiornare gli mo."
	exit 1
fi

langs=("ar_AE" "be_BY" "ca_ES" "cs_CZ" "de_DE" "en_US" "es_ES" "fa_IR" "fr_FR" "gl_ES" "id_ID" "it_IT" "nl_NL" "pl_PL" "pt_BR" "pt_PT" "ru_RU" "tr_TR" "uk_UA")

basedir=$(dirname "$0")
cd "$basedir"
cd ../../

if [ $1 == "updpo" ]; then
	echo "Aggiorno masthelp.pot con xgettext"
	xgettext --no-wrap --from-code utf-8 --add-comments --copyright-holder masthelp@insicuri.net --package-name mastodon.help --package-version 1.1 --msgid-bugs-address masthelp@insicuri.net web/site/*.php web/lib/*.php -o - | sed -e 's/^"Language: \\n"$/"Language: en\\n"/' > web/site/locale/masthelp.pot
	echo "Aggiorno masthelp.po per «en» con msgen"
	msgen --no-wrap web/site/locale/masthelp.pot -o - | sed -e 's/msgstr "Not available{singular}"/msgstr "Not available"/' -e 's/msgstr "Not available{plural}"/msgstr "Not available"/' > web/site/locale/en_US/LC_MESSAGES/masthelp.po
	for lang in ${langs[@]}; do
		if [ $lang != "en_US" ]; then
			echo "Aggiorno masthelp.po per «$lang» con msgmerge"
			msgmerge --update --no-wrap web/site/locale/$lang/LC_MESSAGES/masthelp.po web/site/locale/masthelp.pot
		fi
	done
	echo "Fatto! Ora puoi editare i vari masthelp.po."
elif [ $1 == "updmo" ]; then
	for lang in ${langs[@]}; do
		echo "Aggiorno masthelp.mo per «$lang»"
		msgfmt web/site/locale/$lang/LC_MESSAGES/masthelp.po -o web/site/locale/$lang/LC_MESSAGES/masthelp.mo
	done
	echo "Fatto! :-)"
else
	echo "IMPOSSIBILE!"
fi

exit 0
